Name:           open-xchange-appsuite-messenger-help
BuildArch:      noarch
BuildRequires:  java-devel >= 1.6.0
%if 0%{?rhel_version} && 0%{?rhel_version} >= 700
BuildRequires: ant
%else
BuildRequires: ant-nodeps
%endif
BuildRequires:  nodejs >= 0.10.0
Version:        1.4.0
%define         ox_release 0
Release:        %{ox_release}_<CI_CNT>.<B_CNT>
Group:          Applications/Productivity
Vendor:         Open-Xchange
URL:            http://open-xchange.com
Packager:       Julian Baeume <julian.baeume@open-xchange.com>
License:        CC-BY-NC-SA
Summary:        OX Messenger online help
Source:         %{name}_%{version}.orig.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%if 0%{?rhel_version} || 0%{?fedora_version}
%define docroot /var/www/html/
%else
%define docroot /srv/www/htdocs/
%endif

%description
OX Messenger help files

%package        common
Group:          Applications/Productivity
Summary:        Language-independent files of online help for OX Messenger

%description    common
Language-independent files of online help for OX Messenger

%package       de-de
Group:         Applications/Productivity
Summary:       Online help for OX Messenger (de_DE)
Provides:      open-xchange-appsuite-messenger-help
Requires:      open-xchange-appsuite-messenger-help-common

%description   de-de
Online help for OX Messenger (de_DE)

%package       en-gb
Group:         Applications/Productivity
Summary:       Online help for OX Messenger (en_GB)
Provides:      open-xchange-appsuite-messenger-help
Requires:      open-xchange-appsuite-messenger-help-common

%description   en-gb
Online help for OX Messenger (en_GB)

%package       en-us
Group:         Applications/Productivity
Summary:       Online help for OX Messenger (en_US)
Provides:      open-xchange-appsuite-messenger-help
Requires:      open-xchange-appsuite-messenger-help-common

%description   en-us
Online help for OX Messenger (en_US)

%package       es-es
Group:         Applications/Productivity
Summary:       Online help for OX Messenger (es_ES)
Provides:      open-xchange-appsuite-messenger-help
Requires:      open-xchange-appsuite-messenger-help-common

%description   es-es
Online help for OX Messenger (es_ES)

%package       es-mx
Group:         Applications/Productivity
Summary:       Online help for OX Messenger (es_MX)
Provides:      open-xchange-appsuite-messenger-help
Requires:      open-xchange-appsuite-messenger-help-common

%description   es-mx
Online help for OX Messenger (es_MX)

%package       fr-fr
Group:         Applications/Productivity
Summary:       Online help for OX Messenger (fr_FR)
Provides:      open-xchange-appsuite-messenger-help
Requires:      open-xchange-appsuite-messenger-help-common

%description   fr-fr
Online help for OX Messenger (fr_FR)

%package       it-it
Group:         Applications/Productivity
Summary:       Online help for OX Messenger (it_IT)
Provides:      open-xchange-appsuite-messenger-help
Requires:      open-xchange-appsuite-messenger-help-common

%description   it-it
Online help for OX Messenger (it_IT)

%package       ja-jp
Group:         Applications/Productivity
Summary:       Online help for OX Messenger (ja_JP)
Provides:      open-xchange-appsuite-messenger-help
Requires:      open-xchange-appsuite-messenger-help-common

%description   ja-jp
Online help for OX Messenger (ja_JP)

%package       nl-nl
Group:         Applications/Productivity
Summary:       Online help for OX Messenger (nl_NL)
Provides:      open-xchange-appsuite-messenger-help
Requires:      open-xchange-appsuite-messenger-help-common

%description   nl-nl
Online help for OX Messenger (nl_NL)

%package       pl-pl
Group:         Applications/Productivity
Summary:       Online help for OX Messenger (pl_PL)
Provides:      open-xchange-appsuite-messenger-help
Requires:      open-xchange-appsuite-messenger-help-common

%description   pl-pl
Online help for OX Messenger (pl_PL)

%package       zh-cn
Group:         Applications/Productivity
Summary:       Online help for OX Messenger (zh_CN)
Provides:      open-xchange-appsuite-messenger-help
Requires:      open-xchange-appsuite-messenger-help-common

%description   zh-cn
Online help for OX Messenger (zh_CN)

%package       zh-tw
Group:         Applications/Productivity
Summary:       Online help for OX Messenger (zh_TW)
Provides:      open-xchange-appsuite-messenger-help
Requires:      open-xchange-appsuite-messenger-help-common

%description   zh-tw
Online help for OX Messenger (zh_TW)

%prep

%setup -q

%build

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
ant -Dbasedir=build -DdestDir=%{buildroot} -DpackageName=%{name} -Dhtdoc=%{docroot} -Dlanguages=false -DkeepCache=true -f build/build.xml build
for LANG in de_DE en_GB en_US es_ES es_MX fr_FR it_IT ja_JP nl_NL pl_PL zh_CN zh_TW; do
    ant -Dbasedir=build -DdestDir=%{buildroot} -DpackageName=%{name} -Dhtdoc=%{docroot} -DinstallTarget=${LANG} -DkeepCache=true -Dnoclean=true -f build/build.xml clean build
done

%clean
%{__rm} -rf %{buildroot}

%files common
%defattr(-,root,root)
%dir %{docroot}/appsuite
%{docroot}/appsuite/help-messenger
%exclude %{docroot}/appsuite/help-messenger/l10n

%files de-de
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-messenger/l10n
%{docroot}/appsuite/help-messenger/l10n/de_DE

%files en-gb
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-messenger/l10n
%{docroot}/appsuite/help-messenger/l10n/en_GB

%files en-us
%defattr(-,root,root)
%dir %{docroot}/appsuite
%dir %{docroot}/appsuite/help-messenger/l10n
%{docroot}/appsuite/help-messenger/l10n/en_US

%files es-es
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-messenger/l10n
%{docroot}/appsuite/help-messenger/l10n/es_ES

%files es-mx
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-messenger/l10n
%{docroot}/appsuite/help-messenger/l10n/es_MX

%files fr-fr
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-messenger/l10n
%{docroot}/appsuite/help-messenger/l10n/fr_FR

%files it-it
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-messenger/l10n
%{docroot}/appsuite/help-messenger/l10n/it_IT

%files ja-jp
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-messenger/l10n
%{docroot}/appsuite/help-messenger/l10n/ja_JP

%files nl-nl
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-messenger/l10n
%{docroot}/appsuite/help-messenger/l10n/nl_NL

%files pl-pl
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-messenger/l10n
%{docroot}/appsuite/help-messenger/l10n/pl_PL

%files zh-cn
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-messenger/l10n
%{docroot}/appsuite/help-messenger/l10n/zh_CN

%files zh-tw
%defattr(-,root,root)
%dir %{docroot}/appsuite/help-messenger/l10n
%{docroot}/appsuite/help-messenger/l10n/zh_TW

%changelog
* Fri Oct 30 2015 Julian Bäume <julian.baeume@open-xchange.com>
prepare for 1.4.0 release
* Thu Sep 10 2015 Julian Bäume <julian.baeume@open-xchange.com>
Build for patch 2015-09-14 (2732)
* Tue Aug 18 2015 Julian Bäume <julian.baeume@open-xchange.com>
Build for patch 2015-08-26
* Mon Jul 27 2015 Julian Bäume <julian.baeume@open-xchange.com>
Third candidate for 1.2.0 release
* Wed Jul 15 2015 Julian Bäume <julian.baeume@open-xchange.com>
Second candidate for 1.2.0 release
* Mon Jul 13 2015 Julian Bäume <julian.baeume@open-xchange.com>
First candidate for 1.2.0 release
* Mon Jul 13 2015 Julian Bäume <julian.baeume@open-xchange.com>
prepare for 1.2.0
* Fri Jun 19 2015 Julian Bäume <julian.baeume@open-xchange.com>
Build for patch 2015-06-18 (2551)
* Tue Jun 02 2015 Julian Bäume <julian.baeume@open-xchange.com>
Build for patch 2015-06-03 (2534)
* Wed Apr 08 2015 Julian Bäume <julian.baeume@open-xchange.com>
Build for patch 2015-04-08 (2480)
* Tue Mar 24 2015 Julian Bäume <julian.baeume@open-xchange.com>
Build for patch 2015-03-25 (2457)
* Mon Feb 23 2015 Julian Bäume <julian.baeume@open-xchange.com>
Thriteenth candidate for 1.0.0 release
* Thu Feb 19 2015 Julian Bäume <julian.baeume@open-xchange.com>
Twelfth candidate for 1.0.0 release
* Fri Feb 13 2015 Julian Bäume <julian.baeume@open-xchange.com>
Eleventh candidate for 1.0.0 release
* Mon Feb 09 2015 Julian Bäume <julian.baeume@open-xchange.com>
Tenth candidate for 1.0.0 release
* Mon Feb 02 2015 Julian Bäume <julian.baeume@open-xchange.com>
Ninth candidate for 1.0.0 release
* Fri Jan 30 2015 Julian Bäume <julian.baeume@open-xchange.com>
eighth candidate for 1.0.0 release
* Fri Jan 16 2015 Julian Bäume <julian.baeume@open-xchange.com>
Seventh candidate for 1.0.0 release
* Thu Dec 11 2014 Julian Bäume <julian.baeume@open-xchange.com>
Sixth candidate for 1.0.0 release
* Wed Nov 12 2014 Julian Bäume <julian.baeume@open-xchange.com>
Initial Release.
